commit:     38305501841e6e303d24530503a2c4878ce2670a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 11 04:07:09 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Apr 11 04:20:09 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38305501

dev-python/h5py: Bump to 3.11.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/h5py/Manifest           |  1 +
 dev-python/h5py/h5py-3.11.0.ebuild | 62 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/h5py/Manifest b/dev-python/h5py/Manifest
index 9858508408b0..c732deb78cdf 100644
--- a/dev-python/h5py/Manifest
+++ b/dev-python/h5py/Manifest
@@ -1,2 +1,3 @@
 DIST h5py-3.10.0-cython3.patch.xz 3868 BLAKE2B 
3c0d952bdca5307ebf0bf878c26b94d0593bb89ac538a51017fb94e1e488bffc1583dcf4e713005b87d1b5e20d7b73043b24d65404faf60fb69515e598ca2133
 SHA512 
a0a0e3d1a9bccad1c89aa7efe3ba1e080eb70cae1f42f8de1021c212817970eaaa7070131e8e39859eea3c18d6c1243a17e7f53f2179f34ff6c406b315bab8fa
 DIST h5py-3.10.0.tar.gz 403716 BLAKE2B 
a8e4351a15aee5fe9d23f9c5f9b6ff44e688a391ba17e27338675bde60415c73e3cd97a4a0c05490df849f649d626450d3dbecc9ae6ea3d24d784a0a4aaa1850
 SHA512 
840d7f2b9b9d5e22e8edae21c84884abec64acdd6c36437a4921ce9dc1b343c55f66f72b699146d71fe55688f6f948787b62335a24906288e9565b2b19b24b01
+DIST h5py-3.11.0.tar.gz 406519 BLAKE2B 
a5568c96290eee1f6da965174b6fa398f94e2e1825ec4ec50efd856b37ccf2bf634cfeb32101c7c53712fe9c68b0617774e9339a3f0d9373d3df24e6763a20cf
 SHA512 
05d99093d5e7c280779b4167bd3594488dfc348b800da95c2275ddc8d77b4208fd1353942bf8863c4859d0208e8aa8bf84e628b3c5942eb947ecdcf0a7d19e88

diff --git a/dev-python/h5py/h5py-3.11.0.ebuild 
b/dev-python/h5py/h5py-3.11.0.ebuild
new file mode 100644
index 000000000000..0cebc6b7bda9
--- /dev/null
+++ b/dev-python/h5py/h5py-3.11.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simple Python interface to HDF5 files"
+HOMEPAGE="
+       https://www.h5py.org/
+       https://github.com/h5py/h5py/
+       https://pypi.org/project/h5py/
+"
+SRC_URI+=" 
https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${PN}-3.10.0-cython3.patch.xz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux ~arm64-macos 
~x64-macos"
+IUSE="examples"
+
+DEPEND="
+       >=sci-libs/hdf5-1.10.4:=[hl(+)]
+"
+RDEPEND="
+       ${DEPEND}
+       >=dev-python/numpy-1.17.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       >=dev-python/cython-0.29.31[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.14.5[${PYTHON_USEDEP}]
+       dev-python/pkgconfig[${PYTHON_USEDEP}]
+       test? (
+               dev-python/QtPy[testlib,${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+       dev-python/alabaster
+
+python_prepare_all() {
+       # avoid pytest-mpi dep, we do not use mpi anyway
+       sed -i -e 's:pytest-mpi::' pytest.ini || die
+       distutils-r1_python_prepare_all
+
+       export H5PY_SETUP_REQUIRES=0
+}
+
+python_test() {
+       cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+       epytest -m "not mpi"
+}
+
+python_install_all() {
+       use examples && dodoc -r examples
+       distutils-r1_python_install_all
+}

Reply via email to